| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
Partition_t Class Reference

`#include <QosPolicies.hpp>`

## Public Member Functions

| Partition_t (const void *ptr)
| Constructor using a pointer.
bool | operator== (const Partition_t &rhs) const
bool | operator!= (const Partition_t &rhs) const
uint32_t | size () const
| Getter for the size.
const char * | name () const
| Getter for the partition name.

## Friends

class | PartitionQosPolicy

## Constructor & Destructor Documentation

## ◆ Partition_t()

Partition_t | ( | const void * | ptr | ) |

inline explicit

Constructor using a pointer.

Parameters

  ptr | Pointer to be set

## Member Function Documentation

## ◆ name()

const char * name | ( |  | ) | const

inline

Getter for the partition name.

Returns
  name

## ◆ operator!=()

bool operator!= | ( | const Partition_t & | rhs | ) | const

inline

## ◆ operator==()

bool operator== | ( | const Partition_t & | rhs | ) | const

inline

## ◆ size()

uint32_t size | ( |  | ) | const

inline

Getter for the size.

Returns
  uint32_t with the size

## Friends And Related Symbol Documentation

## ◆ PartitionQosPolicy

friend class PartitionQosPolicy

friend

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp